中危 389-ds-base 授权机制不正确漏洞(CVE-2022-1949)

CVE编号

CVE-2022-1949

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-06-02
漏洞描述
389-ds-base是一个高度可用、功能齐全、可靠且安全的 LDAP 服务器实现。它处理世界上许多最大的 LDAP 部署。

389-ds-base 存在安全漏洞,该漏洞源于LDAP 过滤器访问控制存在问题。攻击者可以通过查询利用该漏洞实现访问控制绕过。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/389ds/389-ds-base/issues/5170
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 port389 389-ds-base * From
(including)
1.3.0.0
Up to
(including)
2.0.0
运行在以下环境
应用 redhat directory_server 11.0 -
运行在以下环境
应用 redhat directory_server 12.0 -
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-863 授权机制不正确
阿里云安全产品覆盖情况